CK_COHORT_UNLOCK(3)

NAME
CK_COHORT_UNLOCK - release cohort lock

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_cohort.h>
CK_COHORT_UNLOCK(COHORT_NAME cohort_name, COHORT *cohort, void *global_context, void *local_context);

DESCRIPTION
This call instructs cohort to relinquish its local lock and potentially its global lock as well. global_context will be passed as the second argument to the function that was provided as the global_lock_method argument to CK_COHORT_PROTOTYPE if that method is called, and local_context will be passed to the function specified by local_lock_method

SEE ALSO
ck_cohort(3), CK_COHORT_PROTOTYPE(3), CK_COHORT_TRYLOCK_PROTOTYPE(3), CK_COHORT_INSTANCE(3), CK_COHORT_INITIALIZER(3), CK_COHORT_INIT(3), CK_COHORT_LOCK(3), CK_COHORT_LOCKED(3), CK_COHORT_TRYLOCK(3),

Additional information available at http://concurrencykit.org/